Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQHBox Class Reference

The TQHBox widget provides horizontal geometry management for its child widgets. More...

`#include <ntqhbox.h>`

Inherits TQFrame.

Inherited by TQVBox.

List of all member functions.

## Public Members

- TQHBox ( TQWidget * parent = 0, const char * name = 0, WFlags f = 0 )
- void setSpacing ( int space )
- bool setStretchFactor ( TQWidget * w, int stretch )

## Protected Members

- TQHBox ( bool horizontal, TQWidget * parent, const char * name, WFlags f = 0 )

## Detailed Description

The TQHBox widget provides horizontal geometry management for its child widgets.

All the horizontal box's child widgets will be placed alongside each other and sized according to their sizeHint()s.

Use setMargin() to add space around the edges, and use setSpacing() to add space between the widgets. Use setStretchFactor() if you want the widgets to be different sizes in proportion to one another. (See Layouts for more information on stretch factors.)

See also TQHBoxLayout, TQVBox, TQGrid, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### TQHBox::TQHBox ( TQWidget * parent = 0, const char * name = 0, WFlags f = 0 )

Constructs an hbox widget with parent parent, called name. The parent, name and widget flags, f, are passed to the TQFrame constructor.

### TQHBox::TQHBox ( bool horizontal, TQWidget * parent, const char * name, WFlags f = 0 )`[protected]`

Constructs a horizontal hbox if horizontal is TRUE, otherwise constructs a vertical hbox (also known as a vbox).

This constructor is provided for the TQVBox class. You should never need to use it directly.

The parent, name and widget flags, f, are passed to the TQFrame constructor.

### void TQHBox::setSpacing ( int space )

Sets the spacing between the child widgets to space.

Examples: i18n/mywidget.cpp, listboxcombo/listboxcombo.cpp, qdir/qdir.cpp, tabdialog/tabdialog.cpp, wizard/wizard.cpp, and xform/xform.cpp.

### bool TQHBox::setStretchFactor ( TQWidget * w, int stretch )

Sets the stretch factor of widget w to stretch. Returns TRUE if w is found. Otherwise returns FALSE.

See also TQBoxLayout::setStretchFactor() and Layouts.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.